/************************************************************************/
/*                                                                      */
/*  TCPORT Header file                                                  */
/*                                                                      */
/*  Function wrappers for portability from TC.                          */
/*                                                                      */
/*  Copyright 1989 by Robert B. Stout dba MicroFirm                     */
/*  All rights reserved                                                 */
/*                                                                      */
/*  Copyright 1986, 1987 by S.E. Margison                               */
/*                                                                      */
/*  Compiled by and for use with Zortech C/C++ 1.07 or later.           */
/*                                                                      */
/************************************************************************/

#ifndef TCPORT_H
#define TCPORT_H

#define ffblk FIND

#define findfirst(path,attrib,ffblk) (NULL==rfind_1st(path,ffblk,attrib))
#define findnext(ffblk)              (NULL==rfind_nxt(ffblk,RF_KEEP))

#define ff_attrib attrbiute
#define ff_ftime time
#define ff_fdate date
#define ff_fsize size
#define ff_name name

#if __ZTC__ < 0x108
 #define setdisk(d) (chdrv(d + '@'))
 #define getdisk() (getdrv() - '@')
 #define fnsplit(x,d,p,n,e) (fnsplit(x, d, NULL, p, NULL, n, e))
 #define fnmerge(x,d,p,n,e) (fnmerge(x, d, NULL, p, NULL, n, e))
#endif

#endif /* TCPORT_H */
